*** a/src/backend/access/transam/xlog.c
--- b/src/backend/access/transam/xlog.c
***************
*** 4335,4340 **** writeTimeLineHistory(TimeLineID newTLI, TimeLineID parentTLI,
--- 4335,4344 ----
  				(errcode_for_file_access(),
  				 errmsg("could not create file \"%s\": %m", tmppath)));
  
+ 	/* Timeline 1 does not have a history file, so no need to copy */
+ 	if (parentTLI == 1)
+ 		goto append_newtli;
+ 
  	/*
  	 * If a history file exists for the parent, copy it verbatim
  	 */
***************
*** 4391,4396 **** writeTimeLineHistory(TimeLineID newTLI, TimeLineID parentTLI,
--- 4395,4401 ----
  		close(srcfd);
  	}
  
+ append_newtli:
  	/*
  	 * Append one line with the details of this timeline split.
  	 *
